## advanced-systemui 0.5.0

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <http://qzx.com/mail/>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

# -lconic
LIBS = -lX11 -lXpm -lm -lXrandr -lXft -ldbus-1 -lgconf-2 -pthread
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags xft dbus-1 gconf-2.0` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o dsme.o secure.o flashlight.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o \
	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

gtk:
	@(cd gtk-settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
	@(cd gtk-settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T asui.sh $(DESTDIR)/usr/bin/asui
	cp asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)

	# autobuilder doesn't support -T
	# install -o root -g root -m 600 -T debian/asui-svc $(DESTDIR)/etc/asui-svc
	cp debian/asui-svc $(DESTDIR)/etc/ ; chown root.root $(DESTDIR)/etc/asui-svc ; chmod 600 $(DESTDIR)/etc/asui-svc

	@(cd gtk-settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c main.h											window.h        draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h
config.o: Makefile config.c config.h									         main.h                                   hardware.h
window.o: Makefile window.c window.h									         main.h        text.h config.h services.h hardware.h dialog.h                        images/*.xpm
dialog.o: Makefile dialog.c dialog.h									window.h main.h draw.h text.h
draw.o: Makefile draw.c draw.h											window.h               text.h config.h
text.o: Makefile text.c text.h											window.h main.h
hardware.o: Makefile hardware.c hardware.h								window.h main.h               config.h services.h                     dbus.h dsme.h
services.o: Makefile services.c services.h								         main.h draw.h        config.h            hardware.h
dbus.o: Makefile dbus.c dbus.h											window.h main.h               config.h            hardware.h
dsme.o: Makefile dsme.c dsme.h											         main.h
secure.o: Makefile secure.c secure.h									         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h          flashlight.h widget_battery.h widget_clock.h
flashlight.o: Makefile flashlight.c flashlight.h						         main.h draw.h                            hardware.h dialog.h        dsme.h

button_lock.o: Makefile button_lock.c									         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c						window.h main.h draw.h        config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c				window.h main.h draw.h text.h config.h            hardware.h dialog.h
button_rotate.o: Makefile button_rotate.c								window.h main.h draw.h        config.h            hardware.h
button_key_repeat.o: Makefile button_key_repeat.c						window.h main.h draw.h text.h config.h            hardware.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c				window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c				window.h main.h draw.h text.h config.h            hardware.h
button_settings.o: Makefile button_settings.c							window.h main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c					         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c widget_battery.h			window.h main.h draw.h text.h config.h services.h hardware.h dialog.h
widget_brightness.o: Makefile widget_brightness.c widget_brightness.h	window.h main.h draw.h text.h config.h            hardware.h
widget_volume.o: Makefile widget_volume.c widget_volume.h				window.h main.h draw.h text.h config.h            hardware.h
widget_bluetooth.o: Makefile widget_bluetooth.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c										window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c									window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c widget_clock.h					window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h          flashlight.h
widget_audio.o: Makefile widget_audio.c									window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c								window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c										window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c										window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c										window.h main.h draw.h text.h config.h            hardware.h

=== gtk-settings/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>

CC = gcc
LD = $(CC)

LIBS = -lm `pkg-config --libs gtk+-2.0 hildon-1 dbus-1 gconf-2.0`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags gtk+-2.0 hildon-1 dbus-1 gconf-2.0`
LDFLAGS =

PROG = advanced-systemui-settings

all: $(PROG)
	strip $(PROG)

clean:
	rm -f $(PROG) *.o core

install: $(PROG)
	strip $(PROG)
	install -o root -g root -m 755 $(PROG) $(DESTDIR)/usr/bin/

$(PROG): main.o
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) main.o $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c *.h

=== statusbar/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 libosso hildon-1 libhildondesktop dbus-1

LIBS = `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROGS = libasui-power.so libasui-battery.so

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o core

install: $(PROGS)
	install -o root -g root -m 644 libasui-*.so $(DESTDIR)/usr/lib/hildon-desktop/
	install -o root -g root -m 644 asui-*.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	install -o root -g root -m 644 icons/* $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/

libasui-power.so: power.o
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)
libasui-battery.so: battery.o
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $<

power.o: Makefile power.c
battery.o: Makefile battery.c

=== debian/changelog ===
advanced-systemui (0.5.0) unstable; urgency=low

  * fix: config button was in the wrong location when in portrait mode
  * fix: config button will only launch one instance of asui-settings
  * fix: connecting the charger no longer unlocks the screen if lock&blank was used to lock it
  * fix: dimmed message will no longer appear while on charger and display stays lit setting is enabled
  * fix: ASUI properly re-initializes when enhanced brightness setting is changed
  * fix: openssh widget should no longer count certain clients twice
  * fix: secure keypad now updates temperature
  * fix: no longer autolocks device while in charging runlevel
  * fix: reboot from shutdown charging runlevel briefly allowed TK events while still in minimal UI
  * fix: bluetooth, gps, wifi and audio wouldn't fully start if partially started and had to be stopped first
  * fix: bluetooth and wifi should now have the correct state when ASUI is started and not all bt/wifi services are loaded
  * fix: wifi widget should no longer switch to off state between the connecting and connected states
  * fix: main loop would wake 10 times a second while screen was dimmed and ASUI widgets visible
  * fix: hardware flags were only cleared on widget redraws and a battery update would cause process viewer to loop with 100% load
  * fix: initializer flag for battery wasn't cleared causing it to be polled every 10 seconds
  * widgets and dialogs will no longer be repainted by dbus changes if the screen is off
  * no longer allows brightness and volume step to be set to zero
  * removed the charging runlevel button on secondary widget page
  * renamed "config" button to "settings"
  * GTK settings app supports all settings
  * red brightness icon above the secure keypad that toggles low/medium/high brightness
  * memory button can be long pressed to toggle between memory and swap
  * memory is now displayed in four different formats (swap also used these formats)
  * USB widget
  * governor name is replaced with DSP frequency when active and using a Diablo-Turbo kernel with op_locked support
  * key auto repeat status and toggle button on secondary widget page
  * screen autolock status and toggle button on secondary widget page
  * screen stays lit on charger status and toggle button on secondary widget page
  * split button code into separate files and modularized for upcoming button placement editor
  * brightness and volume keys now only work when the sliders are on the current widget page
  * configurable lock, lock&blank, blank and secure buttons (button modes section)
  * configurable action when securing device
  * configurable power button action when device is secured
  * mce_lock_screen() calls dsme_allow_blanking()
  * lock&blank and blank now temporarily adjusts settings so they always work
  * secure keypad is opened when a timer expires instead of waiting for device to become active
  * clock widget and fullscreen clock is now updated every 60 seconds on the minute instead of every 10 seconds
  * asui convenience script now displays an error message if not run as root
  * dsp ratio can be set from the governor dialog
  * listens for show, hide, rotate_left and rotate_right signals to map or unamp ASUI and rotate screen
  * listen for "req_battery_status" signal and send out "charging_status" and "battery_capacity" signals
  * power button statusbar applet to open ASUI
  * battery statusbar applet to open ASUI and replace default battery applet
  * added 'da' to asui convenience script to download and install statusbar applets
  * added short tap marker to theme button on n800
  * changed the line below lux value from orange to blue, and only display if !cfg_short_tap_markers
  * bluetooth headset state is now queried on startup
  * listens for shutdown_ind signal instead of polling, minimal UI will be displayed if shutdown issued outside of ASUI
  * refactored polling and redrawing of brightness, volume and battery widgets, flight mode, key repeat,
    screen stays lit and screen autolock buttons and added 5 second battery widget refresh timer
  * asui convenience script now uses run-standalone.sh to prevent dbus problems
  * asui convenience script commands to show or hide ASUI window
  * asui convenience script commands to rotate screen left or right
  * partial starting/stopping of services no longer starts services already running or stops services that aren't running
  * page indicator in widget edit mode
  * switched all ASUI signals to method calls

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sun, 13 Mar 2011 16:43:55 -0600

advanced-systemui (0.4.7) unstable; urgency=low

  * fix: wifi widget now turns on the hardware light for PPP connections and can disconnect them
  * fix: cpu frequency is polled before services so value isn't always 400mhz
  * fix: cpu freqency is polled every 10 seconds instead of every 30 like the governor
  * fix: ALS is no longer polled while screen is off
  * fix: tap throttling wasn't using the correct throttle period
  * fix: added a 60 second limit for tap throttling to prevent unresponsive buttons
  * fix: flashlight used a black background when white theme was active
  * fix: "rotating..." screen was black text on black background when white theme was active
  * moved brightness dsme code to dsme.c, brightness no longer has to create dsme socket for each change
  * green box around "Charged" label in battery widget
  * flashlight and clock now use dsme to permanently disable blanking and enable it when they are closed
  * lock&blank will always blank even after a blanking pause was used, no more timer on the lock button
  * console errors will only be displayed for test and debug releases
  * secure_button setting displays secure button to manually lock device with a code
  * keypad is displayed to unlock device when locked
  * keypad is disabled for 30 seconds after three failed attempts
  * keypad code is cleared if not unlocked within 60 seconds


=== debian/control ===
Source: advanced-systemui
Section: user/utilities
Priority: extra
Maintainer: Brand Huntsman [http://qzx.com/asui]
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libgconf2-dev, libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: advanced-systemui
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Replaces the systemui menu with large buttons
 to lock&blank, lock, blank, secure lock, toggle flight mode,
 reboot, shutdown and rotate screen. Also includes battery status,
 cpu governor selection, process viewer, volume and brightness
 controls, clock, flashlight, start/stop various services to
 conserve memory and toggle wifi, bluetooth and gps.
XB-Maemo-Display-Name: Advanced SystemUI
XB-Maemo-Upgrade-Description: bug fixes, statusbar applets, GTK settings and more...

## advanced-systemui 0.5.1

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

# -lconic
LIBS = -lX11 -lXpm -lm -lXrandr -lXft -ldbus-1 -lgconf-2 -pthread
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags xft dbus-1 gconf-2.0` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o dsme.o secure.o flashlight.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o \
	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

gtk:
	@(cd gtk-settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
	@(cd gtk-settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T asui.sh $(DESTDIR)/usr/bin/asui
	cp asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)

	# autobuilder doesn't support -T
	# install -o root -g root -m 600 -T debian/asui-svc $(DESTDIR)/etc/asui-svc
	cp debian/asui-svc $(DESTDIR)/etc/ ; chown root.root $(DESTDIR)/etc/asui-svc ; chmod 600 $(DESTDIR)/etc/asui-svc

	@(cd gtk-settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c											window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h
config.o: Makefile config.c										         main.h               config.h            hardware.h
window.o: Makefile window.c										window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm
dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
draw.o: Makefile draw.c											window.h        draw.h text.h config.h
text.o: Makefile text.c											window.h main.h        text.h
hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h          dbus.h dsme.h
services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h
dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h
secure.o: Makefile secure.c										         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h flashlight.h widget_battery.h widget_clock.h
flashlight.o: Makefile flashlight.c								         main.h draw.h                            hardware.h dialog.h        dsme.h          flashlight.h

button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c				window.h main.h draw.h        config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h
button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h
button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c		window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c		window.h main.h draw.h text.h config.h            hardware.h
button_settings.o: Makefile button_settings.c					window.h main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c			         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c						window.h main.h draw.h text.h config.h services.h hardware.h dialog.h                                     widget_battery.h
widget_brightness.o: Makefile widget_brightness.c				window.h main.h draw.h text.h config.h            hardware.h                                                                              widget_brightness.h
widget_volume.o: Makefile widget_volume.c						window.h main.h draw.h text.h config.h            hardware.h                                                                                                  widget_volume.h
widget_bluetooth.o: Makefile widget_bluetooth.c					window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c								window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c							window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h          flashlight.h                  widget_clock.h
widget_audio.o: Makefile widget_audio.c							window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c						window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c								window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c								window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c								window.h main.h draw.h text.h config.h            hardware.h

=== gtk-settings/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	Advanced System UI
-#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>
+#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>
 
 CC = gcc
 LD = $(CC)

=== statusbar/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	Advanced System UI
-#	Copyright (c) 2011 Brand Huntsman <http://qzx.com/mail/>
+#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>
 
 CC = gcc
 LD = $(CC)

=== debian/changelog ===
advanced-systemui (0.5.1) unstable; urgency=low

  * fix: headphone connection change will relock the screen if it was locked
  * fix: screen stayslit toggle sets both gconf values
  * fix: transitioning from secure keypad to secondary widget page would cause battery widget to be drawn in the upper left corner
  * fix: prevent runaway focus in/out loop
  * fix: moved display state code from MCE dbus signal handler to dsme message handler, MCE lies about state when blanking is paused
  * fix: display notification if blanking pause is enabled when ASUI attempts to lock or blank the display
  * updated asui script to download from asui.garage.maemo.org
  * added 'reload' to asui convenience script
  * secondary key setting used along with power button to unlock screen
  * headphone connection change is treated like a power button press and screen can be unlocked with secondary key
  * popup clock/battery
  * new flight mode images

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Thu, 17 Mar 2011 20:04:45 -0600

=== debian/control ===
Source: advanced-systemui
Section: user/utilities
Priority: extra
Maintainer: Brand Huntsman <brand.huntsman@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libgconf2-dev, libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: advanced-systemui
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Replaces the SystemUI menu with large buttons
 to lock&blank, lock, blank, secure lock, toggle flight mode,
 reboot, shutdown and rotate screen. Also includes battery status,
 cpu governor selection, process viewer, volume and brightness
 controls, clock, flashlight, start/stop various services to
 conserve memory and toggle wifi, bluetooth and gps.
 .
 <URL:http://asui.garage.maemo.org>
XB-Maemo-Display-Name: Advanced SystemUI
XB-Maemo-Upgrade-Description: bug fixes, secondary power unlock key, popup clock

## advanced-systemui 0.5.2

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,8 @@
 	# autobuilder doesn't support -T
 	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
 	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
+	# install -o root -g root -m 755 -T debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
+	cp debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early ; chown root.root $(DESTDIR)/etc/init.d/$(NAME)-early ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)-early
 
 	# autobuilder doesn't support -T
 	# install -o root -g root -m 600 -T debian/asui-svc $(DESTDIR)/etc/asui-svc

=== gtk-settings/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	strip $(PROG)
 
 clean:
-	rm -f $(PROG) *.o core
+	rm -f $(PROG) $(PROG)-test *.o core
 
 install: $(PROG)
 	strip $(PROG)

=== debian/changelog ===
advanced-systemui (0.5.2) unstable; urgency=low

  * fix: allow default battery applet to be disabled
  * fix: ASUI properly locks the device with MCE
  * fix: if blank timeout isn't at least 10 seconds greater than dim timeout then power button will not dim the display if a secondary key is required to unlock
  * fix: tapping the battery applet will no longer change it to the solid red battery icon before values from ASUI have been received
  * more changes to the flight mode images
  * removed cpu percentage from popup clock
  * refreshed memory, frequency and temperature before drawing popup clock
  * added alarmd, metalayer-crawler and browserd to system services for process viewer
  * display names of shell scripts in process viewer
  * added gpsdriver_guard to process viewer and GPS service widget
  * init.d script and convenience script must now stop SystemUI whenever ASUI is started
  * changed runlevel order from SK99 to S61/K45
  * added advanced-systemui-early script at S26/K74
  * setting to not show clock popup when ASUI is mapped, except for on secure keypad
  * setting for minimum time between clock popups

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Tue, 22 Mar 2011 16:50:33 -0600

=== debian/control ===
--- 
+++ 
@@ -18,4 +18,4 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes, secondary power unlock key, popup clock
+XB-Maemo-Upgrade-Description: bug fixes and enhancements

## advanced-systemui 0.5.3

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

DEPS = xft dbus-1 gconf-2.0
# conic

LIBS = -lX11 -lXpm -lm -lXrandr `pkg-config --libs $(DEPS)` -pthread
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags $(DEPS)` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o dsme.o secure.o alarm.o flashlight.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o \
	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

cfg:
	@(cd settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
	@(cd settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T asui.sh $(DESTDIR)/usr/bin/asui
	cp asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
	# install -o root -g root -m 755 -T debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
	cp debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early ; chown root.root $(DESTDIR)/etc/init.d/$(NAME)-early ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)-early

	install -o root -g root -m 644 advanced-systemui*.desktop $(DESTDIR)/usr/share/applications/hildon/
	install -o root -g root -m 644 asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/

	@(cd settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c											window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h
config.o: Makefile config.c										         main.h               config.h            hardware.h
window.o: Makefile window.c										window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm
dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
draw.o: Makefile draw.c											window.h        draw.h text.h config.h
text.o: Makefile text.c											window.h main.h        text.h
hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h          dbus.h dsme.h
services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h          alarm.h
dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h
secure.o: Makefile secure.c										         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h         flashlight.h widget_battery.h widget_clock.h
alarm.o: Makefile alarm.c										         main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h
flashlight.o: Makefile flashlight.c								         main.h draw.h                            hardware.h dialog.h        dsme.h                  flashlight.h

button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c				window.h main.h draw.h        config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h
button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h
button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c		window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c		window.h main.h draw.h text.h config.h            hardware.h
button_settings.o: Makefile button_settings.c					window.h main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c			         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c						window.h main.h draw.h text.h config.h services.h hardware.h dialog.h                                             widget_battery.h
widget_brightness.o: Makefile widget_brightness.c				window.h main.h draw.h text.h config.h            hardware.h                                                                                      widget_brightness.h
widget_volume.o: Makefile widget_volume.c						window.h main.h draw.h text.h config.h            hardware.h                                                                                                          widget_volume.h
widget_bluetooth.o: Makefile widget_bluetooth.c					window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c								window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c							window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h                  flashlight.h                  widget_clock.h
widget_audio.o: Makefile widget_audio.c							window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c						window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c								window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c								window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c								window.h main.h draw.h text.h config.h            hardware.h

=== debian/changelog ===
advanced-systemui (0.5.3) unstable; urgency=low

  * fix: short power button press no longer does anything while in minimal UI
  * fix: booting from charging runlevel now only displays keypad once
  * fix: screen should no longer turn back on when device becomes locked either from secure button or idle timeout
  * fix: blanking pause notification should no longer randomly appear when screen has been off longer than 6 seconds
  * fix: battery widget should no longer black out half the keypad clock in portrait mode
  * alarm support
  * removed popup clock vertical offset in portrait mode
  * display names of python scripts in process viewer
  * settings:services can now toggle ASUI and SystemUI to run at boot
  * settings:services can now start, stop or restart ASUI and SystemUI
  * settings:services can now toggle rc5 networking
  * settings:services can now start, stop, restart all services
  * settings:services can now toggle services started during boot
  * removed /etc/asui-svc
  * icons to open ASUI and ASUI Settings
  * asui convenience script doesn't require root when using the show, hide, left, right, reload or settings commands

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sun,  3 Apr 2011 08:07:02 -0600

=== debian/control ===
--- 
+++ 
@@ -18,4 +18,4 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes and enhancements
+XB-Maemo-Upgrade-Description: bug fixes, alarm support and service control

## advanced-systemui 0.5.4

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,7 @@
 
 	install -o root -g root -m 644 advanced-systemui*.desktop $(DESTDIR)/usr/share/applications/hildon/
 	install -o root -g root -m 644 asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/
+	install -o root -g root -m 644 advanced-systemui.sudoers $(DESTDIR)/etc/sudoers.d/
 
 	@(cd settings ; make install)
 	@(cd statusbar ; make install)

=== settings/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 hildon-1 dbus-1 gconf-2.0

LIBS = -lm `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROG = advanced-systemui-settings

OBJS = main.o battery.o clock.o brightness.o rbv_keys.o button_modes.o ui.o alarm.o services.o

all: $(PROG)
	strip $(PROG)

clean:
	rm -f $(PROG) *.o core

install: $(PROG)
	strip $(PROG)
	install -o root -g root -m 755 $(PROG) $(DESTDIR)/usr/bin/

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c *.h
battery.o: Makefile battery.c battery.h main.h
clock.o: Makefile clock.c clock.h main.h
brightness.o: Makefile brightness.c brightness.h main.h
rbv_keys.o: Makefile rbv_keys.c rbv_keys.h main.h
button_modes.o: Makefile button_modes.c button_modes.h main.h
ui.o: Makefile ui.c ui.h main.h
alarm.o: Makefile alarm.c alarm.h main.h
services.o: Makefile services.c services.h main.h

=== debian/changelog ===
advanced-systemui (0.5.4) unstable; urgency=low

  * fix: ASUI unmaps when booting from charging runlevel and start visible unset
  * fix: ASUI redraws when booting from charging runlevel and start visible is set
  * fix: asui-settings icon now calls `asui settings` with sudo so it can control services
  * fix: restart systemui when uninstalling advanced-systemui package
  * fix: removed auto-devlock code and properly restore ASUI map state
  * merged statusbar power button and battery applets and added setting in battery section
  * statusbar applet listens for battery_low signal and displays notification
  * power unlock key defaults to dpad center on n800 and fullscreen on n810

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Tue,  5 Apr 2011 08:54:35 -0600

=== debian/control ===
--- 
+++ 
@@ -18,4 +18,4 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes, alarm support and service control
+XB-Maemo-Upgrade-Description: bug fixes

## advanced-systemui 0.5.5

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 text.o: Makefile text.c											window.h main.h        text.h
 hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h          dbus.h dsme.h
 services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
-dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h          alarm.h
+dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h
 dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h          dbus.h dsme.h
 secure.o: Makefile secure.c										         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h         flashlight.h widget_battery.h widget_clock.h
 alarm.o: Makefile alarm.c										         main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h

=== debian/changelog ===
advanced-systemui (0.5.5) unstable; urgency=low

  * fix: increased minimum alarm duration to 20 seconds to eliminate a divide by zero error
  * fix: devlock_open handler properly relocks screen and keys if they were locked before the signal
  * fix: power button no longer unmaps ASUI it used to wake an unlocked screen
  * fix: power button no longer turns screen on and then back when used to wake an unlocked secure keypad
  * fix: secure keypad is no longer briefly unmapped when power button used to blank screen
  * fix: charging runlevel will dismiss alarms immediately to prevent problems, this also causes the device to boot
  * fix: dpad center as secondary power unlock key now works on n800
  * fix: dpad arrow keys are now rotated when another app rotates the screen
  * fix: icons now work in Telescope
  * fix: battery applet should now transition from power button to battery icon every time it starts up
  * settings app can now go fullscreen
  * minor cosmetic fixes on secure keypad code dots and brightness icon
  * short tap markers for battery and brightness buttons on secure keypad
  * screen&keys active notification whenever the screen turns on and is not locked
  * statusbar only loads each icon once as battery drains
  * package icon for display in application manager

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sat,  9 Apr 2011 07:28:28 -0600

=== debian/control ===
--- 
+++ 
@@ -19,3 +19,23 @@
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
 XB-Maemo-Upgrade-Description: bug fixes
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9sECQsBLWw0LdMAAALOSURBVEjHvVZNbqMwGH1gqHCpElF1aW+yzQVg
+ b2kWXfcuPUJ6hVyBG4zYwwXaJRu8oYqEhDCCtiSzGFM5afPDjGY+6W2iz3rx
+ +56/h4UJtVqtGAAOgAGQAIrHx0d5yVkH04oDCAFEAFL92z8hYprkYQoJANj4
+ T+VcMA9cMgvdDwD4rpecOBQB+AFgCQBCiFoTLzVeNGohxBLAD0rpEsBcCFEn
+ SVKflM4gedAI9WxOFiGEG+ci84bHZjQeiIyBnx36MAyFYZgvZPY3twk1oC0c
+ A0iPzShJErler9MgCGLdKwEwpdRDWZaREILtEQkhWFmWkVIqupTELN2Tju+L
+ EBJRSqPFYsH3iBaLBaeURoQQkyi99OUbZCMYIYT5vs/27O37PiOEMK1xCkBO
+ ITFKApCe50kAzPd9tlqtmGPMhhk7TE559QdVGOAjbMNpI8zGyXUo3wjHsOQl
+ skljmaZ/tevatmVVVbHRlt/Ikmk3ZlNu7QBAWZa4ubkBIQS2bXNCCNe2lEdk
+ +bOlqpSSlFJJCPliy6llGqvrOgzDgKZpfkuX53mx2WwKpVQBAJZlsaurq2Py
+ XRKOI+QwDFIpJe1xjQDIXNfNAMgD+abeJgQQdl3HlFLFZrMp8jwvPmMiCALc
+ 3t7Cdd2ZbdvcsqyZ53nz+/v7WgiBw7VvlhCCGVERAZi9vb3J7XYbd12XxXH8
+ Yp2IiFG2zHDbXgAKIZi+dXh3d8cdxwmvr68BQFZVlVZVleV5XiRJIq0zeRQd
+ 2LowXVdVFSOE8Pf399D3fd73PXNdN+37Pg6CIDb/lHUmYUeyz88rk6htW2bb
+ NgfAPM+TbdsWfd/HVVVl6/U6PRvlSZLUOrprAHXbthiGYf7x8bF0HGeM8uUw
+ DBxAvd1un13X/dk0zadceZ7XZ4kOyOTr6+t8t9vNdrsd9zzvs0cphb7vn5um
+ yWazWUwpTZ+enl4OSQDgF4Zoc6dzw3J0AAAAAElFTkSuQmCC
